import requests
url = "https://api.datagrid.com/v1/knowledge"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/knowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/knowledge \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "knowledge",
"id": "<string>",
"name": "<string>",
"teamspace_id": "<string>",
"scope": "teamspace",
"default_indexing_quality": "none",
"parent": {
"type": "page",
"page_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"status": "pending",
"last_error": {
"code": "out_of_credits",
"message": "<string>"
},
"row_counts": {
"total": 123,
"completed": 123,
"failed": 123
},
"credits": {
"consumed": 123
},
"sync": {
"connection_id": "config_123abc",
"enabled": true,
"trigger": {
"type": "cron",
"cron_expression": "0 0 * * *",
"timezone": "America/New_York",
"description": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}List knowledge
Returns a list of knowledge.
import requests
url = "https://api.datagrid.com/v1/knowledge"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/knowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/knowledge \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "knowledge",
"id": "<string>",
"name": "<string>",
"teamspace_id": "<string>",
"scope": "teamspace",
"default_indexing_quality": "none",
"parent": {
"type": "page",
"page_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"status": "pending",
"last_error": {
"code": "out_of_credits",
"message": "<string>"
},
"row_counts": {
"total": 123,
"completed": 123,
"failed": 123
},
"credits": {
"consumed": 123
},
"sync": {
"connection_id": "config_123abc",
"enabled": true,
"trigger": {
"type": "cron",
"cron_expression": "0 0 * * *",
"timezone": "America/New_York",
"description": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The limit on the number of objects to return, ranging between 1 and 100.
1 <= x <= 100A cursor to use in pagination. after is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo to fetch the next page of the list.
A cursor to use in pagination. before is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before=obj_bar to fetch the previous page of the list.
Filter by parent. Pass {"type":"root"} to get root-level items, or {"type":"page","page_id":"page_123"} to get items nested under a specific page. If not specified, returns all items.
The parent page reference, indicating where this page is nested
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
List of knowledge
list An array containing the actual response elements, paginated by any request parameters.
Show child attributes
Show child attributes
Whether or not there are more elements available after this set. If false, this set comprises the end of the list.